/**
 * Scripts required here will be combined into adaptive.js
 */

require([
    'adaptivejs/preloader',
    'adaptivejs/utils/assets',
    'adaptivejs/utils/isLocal',
    'adaptivejs/utils/isCapturing',
    'buildConfig'
],
function(preloader, AssetUtils, isLocal, isCapturing, buildConfig) {

    // Mobify tag version 6.1 does not work with loader.js because it
    // is missing a variable that the tag is checking
    if (window.Mobify && window.Mobify.tagVersion && window.Mobify.tagVersion[0] === 6) {
        window.Mobify.api = true;
    }

    if (isCapturing()) {
        var local = isLocal();
        var adaptationScript = 'adaptation.' + (local ? '' : 'min.') + 'js';
        var stylesheetName = 'css/stylesheet.' + (local ? '' : 'min.') + 'css';

        // Load and display preload folder css/html/js (in that order)
        preloader();

        AssetUtils.loadAsset('script', {src: AssetUtils.getAssetUrl(adaptationScript), async: true, className: 'capture-remove', id: 'adaptive-build-script'});
        AssetUtils.loadAsset('script', {src: buildConfig.captureLib || '//cdn.mobify.com/capturejs/capture-latest.min.js', async: true, className: 'capture-remove'});

        // Preload assets (on webkit only, as this breaks Firefox)
        if (!/webkit/i.test(navigator.userAgent)) {
            return;
        }

        AssetUtils.loadAsset('link', {href: AssetUtils.getAssetUrl(stylesheetName), rel: 'stylesheet', type: 'text/css', className: 'capture-remove'});
    }

}, null, true); // relPath, forceSync

