'use strict';
var util = require('util');
var yeoman = require('yeoman-generator');
var chalk = require('chalk');
var path = require('path');

var PreloaderInitGenerator = module.exports = function PreloaderInitGenerator(args, options, config) {
    yeoman.generators.Base.apply(this, arguments);

    this.on('end', function() {
        console.log(chalk.bold.yellow('Final Steps:'));
        console.log(chalk.bold.yellow('1) Import \'adaptivejs/preloader\' into \'app/loader.js\''));
        console.log(chalk.bold.yellow('2) Call the preloader module in \`app/loader.js\` to display it while the page loads'));
    });
};

util.inherits(PreloaderInitGenerator, yeoman.generators.Base);

PreloaderInitGenerator.prototype.files = function() {
    // Using __dirname allows the 'page' alias to be used properly with this generator
    this.copy(path.join(__dirname, '../app/templates/app/preload/preload.js'), 'app/preload/preload.js');
    this.copy(path.join(__dirname, '../app/templates/app/preload/preload.css'), 'app/preload/preload.css');
    this.copy(path.join(__dirname, '../app/templates/app/preload/preload.html'), 'app/preload/preload.html');
};
